Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

UrlChecker.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser;
8
9 use eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser;
10 use eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface;
11 use Symfony\Component\Config\Definition\Builder\NodeBuilder;
12
13 class UrlChecker extends AbstractParser
14 {
15 public function addSemanticConfig(NodeBuilder $nodeBuilder)
16 {
17 $nodeBuilder
18 ->arrayNode('url_checker')
19 ->children()
20 ->arrayNode('handlers')
21 ->prototype('variable')
22 ->end()
23 ->useAttributeAsKey('name')
24 ->end()
25 ->end()
26 ->end();
27 }
28
29 public function mapConfig(array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
30 {
31 if (isset($scopeSettings['url_checker']) && !empty($scopeSettings['url_checker']['handlers'])) {
32 foreach ($scopeSettings['url_checker']['handlers'] as $name => $options) {
33 $contextualizer->setContextualParameter('url_handler.' . $name . '.options', $currentScope, $options);
34 }
35 }
36 }
37 }
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
Definition: AbstractParser.php:12
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\UrlChecker
Definition: UrlChecker.php:14
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\UrlChecker\addSemanticConfig
addSemanticConfig(NodeBuilder $nodeBuilder)
Adds semantic configuration definition.
Definition: UrlChecker.php:15
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\UrlChecker\mapConfig
mapConfig(array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
Does semantic config to internal container parameters mapping for $currentScope.
Definition: UrlChecker.php:29
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface
Definition: ContextualizerInterface.php:12
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter
setContextualParameter($parameterName, $scope, $value)
Defines a contextual parameter in the container for given scope in current namespace.
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser
Definition: AbstractFieldTypeParser.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.